html {
    color-scheme: light;
}

body {
    overflow: hidden;
    background-color: var(--Background_1);
}

* {
    color-scheme: light only;
    forced-color-adjust: none;
}

*::selection {
    background-color: #6b6653d4;
    color: var(--Background_1);
}

#BackgroundScreen {
    background-color: var(--Background_1);
    height: 100dvh;
    min-width: 100%;
    overflow-x: hidden;
    overflow-y: auto;
    padding: var(--BackgroundSectionsPadding);
}

#BackgroundScreen::-webkit-scrollbar {
    background-color: var(--Background_1);
    transition: all 0.2s;
    width: 16px;
}

#BackgroundScreen::-webkit-scrollbar-thumb {
    background-color: var(--Background_2);
    border: 2px solid var(--Background_1);
    border-radius: 7px;
}

#BackgroundScreen::-webkit-scrollbar-thumb:hover {
    background-color: #b0aa92;
}

.BackgroundSections{
    background-color: var(--Background_2);
    border-radius: 5px;
    height: fit-content;
    min-height: calc(100dvh - (2 * var(--BackgroundSectionsPadding)));
    min-width: 100%;
}

#Navigation {
    align-items: center;
    background-color: var(--Background_2);
    border-radius: 500px;
    display: none;
    flex-direction: column;
    height: 60px;
    justify-content: center;
    opacity: 0;
    overflow: hidden;
    position: fixed;
    right: 40px;
    top: 50%;
    transform: translateY(-50%);
    transition: background-color 0.3s, opacity 1s;
    width: 60px;
    z-index: 10000;
}

#Navigation:hover {
    background-color: var(--Title_1);
}

#Navigation>a {
    align-items: center;
    display: flex;
    flex-direction: column;
    height: 100%;
    justify-content: center;
    width: 100%;
}

#Navigation>a>svg {
    fill: #b0aa92;
    height: 40px;
    transition: all 0.3s;
}

#Navigation:hover>a>svg {
    fill: var(--Background_2);
}

.BackgroundSection {
    height: max-content;
    margin-bottom: 10px;
    max-height: fit-content;
    overflow: hidden;
    width: 100%;
}

footer {
    display: flex;
    flex-direction: row;
    height: fit-content;
    justify-content: center;
    padding: 0px 100px;
    width: 100%;
}

footer>div {
    align-items: center;
    background-color: var(--Background_1);
    border-radius: 10px 10px 0px 0px;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: space-between;
    min-width: fit-content;
    padding: 20px 50px;
    width: 100%;
}

footer>div>p:nth-of-type(1) {
    color: var(--Text_1);
    flex: 1;
    font-family: "RobotoFlex";
    font-size: 15px;
    font-weight: 300;
    min-width: fit-content;
    text-wrap: wrap;
}

footer>div>p:nth-of-type(2) {
    color: var(--Title_1);
    flex: 1;
    font-family: "Prata";
    font-size: 20px;
    min-width: fit-content;
    text-align: center;
}

footer>div>div {
    flex: 1;
    height: 10px;
    min-width: fit-content;
}

@media screen and (max-width: 1050px) {
    footer>div {
        flex-direction: column-reverse;
        gap: 10px;
    }

    footer>div>p:nth-of-type(1) {
        text-align: center;
    }

    footer>div>div {
        display: none;
    }
}

@media screen and (max-width: 768px) {
    #BackgroundScreen::-webkit-scrollbar {
        width: 0px;
    }
    
    #Navigation {
        background-color: var(--Title_1);
        bottom: 30px;
        right: calc(50%);
        top: unset;
        transform: translate(50%);
    }

    #Navigation>a>svg {
        fill: var(--Background_2);
    }
    
    footer {
        padding: 0px 30px;
    }

    footer>div {
        gap: 5px;
        padding: 20px 50px 110px 50px;
    }
}